<div class="flex flex-auto w-full h-full">
    <div class="flex flex-wrap justify-start justify-items-center w-full h-fit mt-2">
        <div class="md:w-1/3 sm:w-full min-w-96 h-48 p-2">
            <mat-card class="h-full rounded-2xl bg-indigo-50 text-indigo-800 dark:bg-white dark:bg-opacity-5 dark:text-indigo-400">
                <mat-card-title class="mt-4 pl-6 text-2xl">ส่งเยี่ยมบ้าน</mat-card-title>
                <mat-card-content class="flex flex-auto w-full h-full justify-end items-center">
                    <span class="text-8xl font-bold">{{total_send}}</span>
                    <span class="text-2xl ml-4 mt-7">[{{rate_visit}}%]</span>
                </mat-card-content>
                <mat-card-footer class="justify-end text-end h-16">
                    <span class="text-xl text-end mr-4">ได้รับการเยี่ยมแล้ว {{total_home_visit}} ราย</span>
                </mat-card-footer>
            </mat-card>    
        </div>
        <div class="md:w-1/3 sm:w-full min-w-96 h-48 p-2">
            <mat-card class="h-full rounded-2xl bg-teal-100">
                <mat-card-title class="mt-4 pl-6 text-2xl">ลงเยี่ยมบ้าน</mat-card-title>
                <mat-card-content class="flex flex-auto items-center justify-end w-full h-full">
                    <span class="text-8xl text-teal-700 font-bold">{{total_home}}</span>
                    <span class="text-2xl ml-4 text-teal-700 mt-7">[{{rate_home_visit}}%]</span>
                </mat-card-content>
                <mat-card-footer class="justify-end text-end h-16">
                    <span class="text-xl text-teal-700 text-end mr-4">ได้รับการส่งให้เยี่ยม {{total_visit}} เคส</span>
                </mat-card-footer>
            </mat-card>
    
        </div>
        <div class="md:w-1/3 sm:w-full min-w-96 h-48 p-2">
            <mat-card class="h-full rounded-2xl bg-sky-50">
                <mat-card-title class="mt-4 pl-6 text-2xl">ผลการเยี่ยมบ้าน</mat-card-title>
                <mat-card-content class="flex flex-auto items-center justify-around w-full h-full text-end gap-2 divide-x divide-slate-400">
                    <mat-card class="h-3/4 w-28 bg-transparent shrink-0 shadow-none">
                        <mat-card-title class="text-xl  text-green-800 text-start pl-2">ดีขึ้น <mat-icon svgIcon="feather:trending-up" class="text-green-800 mr-2 pt-2"></mat-icon>
                        </mat-card-title>
                        <mat-card-content class="h-full pt-3">
                            <span class="h-12 text-4xl text-green-800 font-bold text-end min-w-32"> {{total_better}}</span>
                        </mat-card-content>
                    </mat-card>
                    
                    <mat-card class="h-3/4 w-28 bg-transparent shrink-0 shadow-none">
                        <mat-card-title class="text-xl  text-indigo-600 text-start pl-2">คงที่ <mat-icon svgIcon="feather:activity" class="text-indigo-600 mr-2 pt-2"></mat-icon>
                        </mat-card-title>
                        <mat-card-content class="h-full pt-3">
                            <span class="h-12 text-4xl text-indigo-600 font-bold text-end min-w-32"> {{total_stable}}</span>
                        </mat-card-content>
                    </mat-card>
                    <mat-card class="h-3/4 w-28 bg-transparent shrink-0 shadow-none">
                        <mat-card-title class="text-xl  text-red-800 text-start pl-2">แย่ลง <mat-icon svgIcon="feather:trending-down" class="text-red-800 mr-2 pt-2"></mat-icon>
                        </mat-card-title>
                        <mat-card-content class="h-full pt-3">
                            <span class="h-12 text-4xl text-red-800 font-bold text-end min-w-32"> {{total_worse}}</span>
                        </mat-card-content>
                    </mat-card>
                </mat-card-content>
            </mat-card>    
        </div>
<!--         <div class="flex flex-col flex-auto p-2">
            <mat-card class="h-full rounded-2xl">
                <mat-card-title class="mt-4 pl-6 text-2xl"> จำนวนการส่งเยี่ยมบ้าน</mat-card-title>
                <mat-card-content class="flex flex-auto items-center justify-end w-full h-full">
                    <apx-chart
                    class="flex-auto w-full h-80"
                    [chart]="chartData.chart"
                    [colors]="chartData.colors"
                    [dataLabels]="chartData.dataLabels"
                    [grid]="chartData.grid"
                    [labels]="chartData.labels"
                    [legend]="chartData.legend"
                    [plotOptions]="chartData.plotOptions"
                    [series]="chartData.series"
                    [states]="chartData.states"
                    [stroke]="chartData.stroke"
                    [tooltip]="chartData.tooltip"
                    [xaxis]="chartData.xaxis"
                    [yaxis]="chartData.yaxis"></apx-chart>
                </mat-card-content>
            </mat-card>
        </div> -->
    </div>
</div>